> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# customobjectrelation

> MDO list provider for custom object relations Custom object's name is passed as additionalInfo parameter

## "customobjectrelation" MDO List

MDO list provider for custom object relations
Custom object's name is passed as additionalInfo parameter

Implemented by the <see cref="T:SuperOffice.CRM.Lists.CustomObjectRelationProvider">CustomObjectRelationProvider</see> class.
The name of the MDO list is 'customobjectrelation'.

## Additional Attributes

| Description          | Name | Example Value   |
| -------------------- | ---- | --------------- |
| Custom object's name | name | y\_customobject |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/customobjectrelation
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("customobjectrelation", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 2  | Example |           |           |

## Related MDO Lists

* "customobjectrelationheadings"
* "customobjectrelationheadingswithallitem"
* "customobjectrelationheadingswithallitemwithnoselection"
* "customobjectrelationheadingswithnoselection"
* "customobjectrelationwithallitem"
* "customobjectrelationwithallitemwithnoselection"
* "customobjectrelationwithnoselection"


## Related topics

- [SuperOffice.WebApi.Data.CustomObjectRelation](/en/api/reference/webapi/SuperOffice.WebApi.Data.CustomObjectRelation.md)
- [SuperOffice.WebApi.Data.CustomObjectMetadata](/en/api/reference/webapi/SuperOffice.WebApi.Data.CustomObjectMetadata.md)
- [Get Custom Objects Metadata](/en/api/reference/restful/agent/customobject_agent/get-custom-objects-metadata.md)
- [WebAPI changes in SuperOffice 12.1](/release-notes/12/api/changes-webapi-12.1.1412.md)
- [SuperOffice.WebApi.Data](/en/api/reference/webapi/SuperOffice.WebApi.Data.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
